Package org.eclipse.mat.inspections

## Class HeapDumpInfoQuery.TextEntryBeanInfo

- java.lang.Object
- - java.beans.SimpleBeanInfo
  - - org.eclipse.mat.inspections.HeapDumpInfoQuery.TextEntryBeanInfo

All Implemented Interfaces:
  `BeanInfo`

Enclosing class:
  HeapDumpInfoQuery

    public static class HeapDumpInfoQuery.TextEntryBeanInfo
    extends SimpleBeanInfo

Provides translatable names for the columns.

### Field Summary

### Fields inherited from interface java.beans.BeanInfo

`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

### Constructor Summary

Constructors
`TextEntryBeanInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PropertyDescriptor[]` `getPropertyDescriptors()`

### Methods inherited from class java.beans.SimpleBeanInfo

`getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, loadImage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextEntryBeanInfo

    public TextEntryBeanInfo()

### Method Detail

#### getPropertyDescriptors

    public PropertyDescriptor[] getPropertyDescriptors()

Specified by:
  `getPropertyDescriptors` in interface `BeanInfo`
Overrides:
  `getPropertyDescriptors` in class `SimpleBeanInfo`